package com.mortals.xhx.module.classify.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:ClassifyOption
* date: 2021-9-6 14:40:56
*/
public class ClassifyOptionEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1630910456935L;


    /**
    * 一件事问题表id
    */
    private Long classifyId;

    /**
    * 一件事下个问题id
    */
    private Long classifyNextId;

    /**
    * 选项名称
    */
    private String name;

    /**
    * 是否最终节点 0否 1是
    */
    private Integer isend;

    /**
    * 基本信息模板id
    */
    private Long basicsinfoId;

    /**
    * 申请条件id
    */
    private String acceptId;

    /**
    * 办理流程id
    */
    private String flowlimitId;

    /**
    * 事项关联id
    */
    private String matterId;

    /**
    * 材料id
    */
    private String datumId;

    /**
    * 备注类型 1常规备注 2终结备注
    */
    private Integer summaryType;

    /**
    * 备注
    */
    private String summary;

    /**
    * 变更时间
    */
    private Date updateTime;

    /**
    * 变更用户loginName
    */
    private String updateUser;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 创建用户loginName
    */
    private String createUser;

    public ClassifyOptionEntity(){

    }
    /**
    * 获取 一件事问题表id
    * @return classifyId
    */
    public Long getClassifyId() {
        return this.classifyId;
    }
    /**
    * 设置 一件事问题表id
    * @param classifyId
    */
    public void setClassifyId(Long classifyId) {
        this.classifyId = classifyId;
    }
    /**
    * 获取 一件事下个问题id
    * @return classifyNextId
    */
    public Long getClassifyNextId() {
        return this.classifyNextId;
    }
    /**
    * 设置 一件事下个问题id
    * @param classifyNextId
    */
    public void setClassifyNextId(Long classifyNextId) {
        this.classifyNextId = classifyNextId;
    }
    /**
    * 获取 选项名称
    * @return name
    */
    public String getName() {
        return this.name;
    }
    /**
    * 设置 选项名称
    * @param name
    */
    public void setName(String name) {
        this.name = name;
    }
    /**
    * 获取 是否最终节点 0否 1是
    * @return isend
    */
    public Integer getIsend() {
        return this.isend;
    }
    /**
    * 设置 是否最终节点 0否 1是
    * @param isend
    */
    public void setIsend(Integer isend) {
        this.isend = isend;
    }
    /**
    * 获取 基本信息模板id
    * @return basicsinfoId
    */
    public Long getBasicsinfoId() {
        return this.basicsinfoId;
    }
    /**
    * 设置 基本信息模板id
    * @param basicsinfoId
    */
    public void setBasicsinfoId(Long basicsinfoId) {
        this.basicsinfoId = basicsinfoId;
    }
    /**
    * 获取 申请条件id
    * @return acceptId
    */
    public String getAcceptId() {
        return this.acceptId;
    }
    /**
    * 设置 申请条件id
    * @param acceptId
    */
    public void setAcceptId(String acceptId) {
        this.acceptId = acceptId;
    }
    /**
    * 获取 办理流程id
    * @return flowlimitId
    */
    public String getFlowlimitId() {
        return this.flowlimitId;
    }
    /**
    * 设置 办理流程id
    * @param flowlimitId
    */
    public void setFlowlimitId(String flowlimitId) {
        this.flowlimitId = flowlimitId;
    }
    /**
    * 获取 事项关联id
    * @return matterId
    */
    public String getMatterId() {
        return this.matterId;
    }
    /**
    * 设置 事项关联id
    * @param matterId
    */
    public void setMatterId(String matterId) {
        this.matterId = matterId;
    }
    /**
    * 获取 材料id
    * @return datumId
    */
    public String getDatumId() {
        return this.datumId;
    }
    /**
    * 设置 材料id
    * @param datumId
    */
    public void setDatumId(String datumId) {
        this.datumId = datumId;
    }
    /**
    * 获取 备注类型 1常规备注 2终结备注
    * @return summaryType
    */
    public Integer getSummaryType() {
        return this.summaryType;
    }
    /**
    * 设置 备注类型 1常规备注 2终结备注
    * @param summaryType
    */
    public void setSummaryType(Integer summaryType) {
        this.summaryType = summaryType;
    }
    /**
    * 获取 备注
    * @return summary
    */
    public String getSummary() {
        return this.summary;
    }
    /**
    * 设置 备注
    * @param summary
    */
    public void setSummary(String summary) {
        this.summary = summary;
    }
    /**
    * 获取 变更时间
    * @return updateTime
    */
    public Date getUpdateTime() {
        return this.updateTime;
    }
    /**
    * 设置 变更时间
    * @param updateTime
    */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    /**
    * 获取 变更用户loginName
    * @return updateUser
    */
    public String getUpdateUser() {
        return this.updateUser;
    }
    /**
    * 设置 变更用户loginName
    * @param updateUser
    */
    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 创建用户loginName
    * @return createUser
    */
    public String getCreateUser() {
        return this.createUser;
    }
    /**
    * 设置 创建用户loginName
    * @param createUser
    */
    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof ClassifyOptionEntity) {
            ClassifyOptionEntity tmp = (ClassifyOptionEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",classifyId:").append(getClassifyId())
                .append(",classifyNextId:").append(getClassifyNextId())
                .append(",name:").append(getName())
                .append(",isend:").append(getIsend())
                .append(",basicsinfoId:").append(getBasicsinfoId())
                .append(",acceptId:").append(getAcceptId())
                .append(",flowlimitId:").append(getFlowlimitId())
                .append(",matterId:").append(getMatterId())
                .append(",datumId:").append(getDatumId())
                .append(",summaryType:").append(getSummaryType())
                .append(",summary:").append(getSummary())
                .append(",updateTime:").append(getUpdateTime())
                .append(",updateUser:").append(getUpdateUser())
                .append(",createTime:").append(getCreateTime())
                .append(",createUser:").append(getCreateUser())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.classifyId = null;

         this.classifyNextId = null;

         this.name = null;

         this.isend = null;

         this.basicsinfoId = null;

         this.acceptId = null;

         this.flowlimitId = null;

         this.matterId = null;

         this.datumId = null;

         this.summaryType = null;

         this.summary = null;

         this.updateTime = null;

         this.updateUser = null;

         this.createTime = null;

         this.createUser = null;

    }
}